summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2012-09-08 03:10:03 +0000
committerGuy Harris <guy@alum.mit.edu>2012-09-08 03:10:03 +0000
commit61b70c94c953d04deb228e03f4ab8dd58f9a52e6 (patch)
tree22bd72a2623ccd4a6ea1be88cc6f817fb896f5e5 /macosx-setup.sh
parent4c77fc1fca8f34139bdc525b33538db85711c920 (diff)
downloadwireshark-61b70c94c953d04deb228e03f4ab8dd58f9a52e6.tar.gz
Fix some issues that showed up when building on Mountain Lion, and
update the README.macos file. svn path=/trunk/; revision=44810
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh29
1 files changed, 28 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 6c946f55ae..f4f339348a 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -292,7 +292,19 @@ gtk_dir=`expr $GTK_VERSION : '\([0-9][0-9]*\.[0-9][0-9]*\).*'`
curl -L -O http://ftp.gnome.org/pub/gnome/sources/gtk+/$gtk_dir/gtk+-$GTK_VERSION.tar.xz
xzcat gtk+-$GTK_VERSION.tar.xz | tar xf - || exit 1
cd gtk+-$GTK_VERSION
-./configure || exit 1
+#
+# GTK+ 2.24.10, at least, doesn't build on Mountain Lion with the CUPS
+# printing backend - either the CUPS API changed incompatibly or the
+# backend was depending on non-API implementation details.
+#
+# Configure it out for now.
+#
+if [ $MACOSX_VERSION -ge "12" ]
+then
+ ./configure --disable-cups || exit 1
+else
+ ./configure || exit 1
+fi
make -j 3 || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..
@@ -437,6 +449,21 @@ then
tar xf GeoIP-$GEOIP_VERSION.tar.gz || exit 1
cd GeoIP-$GEOIP_VERSION
./configure || exit 1
+ #
+ # Grr. Their man pages "helpfully" have an ISO 8859-1
+ # copyright symbol in the copyright notice, but OS X's
+ # default character encoding is UTF-8. sed on Mountain
+ # Lion barfs at the "illegal character sequence" represented
+ # by an ISO 8859-1 copyright symbol, as it's not a valid
+ # UTF-8 sequence.
+ #
+ # iconv the relevant man pages into UTF-8.
+ #
+ for i in geoipupdate.1.in geoiplookup6.1.in geoiplookup.1.in
+ do
+ iconv -f iso8859-1 -t utf-8 man/"$i" >man/"$i".tmp &&
+ mv man/"$i".tmp man/"$i"
+ done
make -j 3 || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..